All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Class _rprxJ2BookmarkManagerV2

    com.sas.sasserver._rprxJ2BookmarkManagerV2

All Implemented Interfaces:
  com.sas.beans.IntrospectInterfaceForBeanInfo, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.net.server.SessionFactoryNotificationInterface, com.sas.rmi.ConnectionLoginInterface, com.sas.rmi.DelegationModelInterface, com.sas.rmi.DesignTimeInf, com.sas.rmi.RocfRemoteObject, BookmarkManagerInterface, BookmarkManagerV2Interface, RemoteBookmarkManagerInterface, RemoteBookmarkManagerV2Interface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

    public class _rprxJ2BookmarkManagerV2

implements BookmarkManagerV2Interface, com.sas.rmi.DelegationModelInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.sasserver._rprxJ2BookmarkManager
`methodName, name, pmode, remoteObject`

Fields inherited from interface com.sas.sasserver.BookmarkManagerInterface
`contextClasspath, INVALID_PASSWORD, NEW_USER, VALIDATED`

Constructor Summary
`_rprxJ2BookmarkManagerV2()`

Method Summary
`com.sas.collection.hlist.HListInterface` | `_getPublicBookmarks(long p1, java.lang.String p2)`
`int` | `_RemoteObject_version()`
`com.sas.collection.hlist.HListInterface` | `getPublicBookmarks(long p1, java.lang.String p2)` Get the list of bookmarks and folders (public only) for a given document and username

Methods inherited from class com.sas.sasserver._rprxJ2BookmarkManager
`_getBookmarkData, _getBookmarks, _getBookmarks, _getDelegateClass, _getMessage, _getUsers, _Remote_getBookmarkData, _Remote_getBookmarks, _Remote_getBookmarks, _Remote_getUsers, _Remote_setBookmarks, _Remote_validateUser, _RemoteObject_getInstance, _RemoteObject_newInstance, _setBookmarks, _setRemoteHandle, _validateUser, getBookmarkData, getBookmarks, getBookmarks, getUsers, setBookmarks, stop, validateUser`

Methods inherited from interface com.sas.sasserver.BookmarkManagerInterface
`getBookmarkData, getBookmarks, getBookmarks, getUsers, setBookmarks, validateUser`

Methods inherited from interface com.sas.sasserver.RemoteBookmarkManagerInterface
`_getBookmarkData, _getBookmarks, _getBookmarks, _getMessage, _getUsers, _setBookmarks, _validateUser`

Constructor Detail

### _rprxJ2BookmarkManagerV2

    public _rprxJ2BookmarkManagerV2()

Method Detail

### _RemoteObject_version

    public int _RemoteObject_version()

  Specified by:
    `_RemoteObject_version` in interface `com.sas.rmi.RocfRemoteObject`
  Overrides:
    `_RemoteObject_version` in class `_rprxJ2BookmarkManager`

### getPublicBookmarks

    public com.sas.collection.hlist.HListInterface getPublicBookmarks(long p1,
                                                                      java.lang.String p2)

  Description copied from interface: `BookmarkManagerV2Interface`
  Get the list of bookmarks and folders (public only) for a given document and username

  Specified by:
    `getPublicBookmarks` in interface `BookmarkManagerV2Interface`
  Parameters:
    `p1` - of the document associated with the bookmark
  Returns:
    HList containing lists of Bookmark information

### _getPublicBookmarks

    public com.sas.collection.hlist.HListInterface _getPublicBookmarks(long p1,
                                                                       java.lang.String p2)

  Specified by:
    `_getPublicBookmarks` in interface `RemoteBookmarkManagerV2Interface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.